Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesBooking flow
Query availabilitySearch availabilityBookTasks required for all bookings for a unit
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
labeltextLabel of the task
momentMomentExpressionMoment at which the task should be completed
status"CANCELLED" | "TENTATIVE" | "CONFIRMED"Whether the task only applies to confirmed events, or also to pending events
timetime without time zone | nullTime at which the task should be scheduled
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"assignee_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:24:09.754Z",
"updated_at": "2026-03-12T05:24:09.754Z",
"label": "",
"moment": {
"offset": 1,
"type": "check-in"
},
"status": "CONFIRMED",
"time": null
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
labelFilter<text>Label of the task
momentFilter<MomentExpression>Moment at which the task should be completed
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Whether the task only applies to confirmed events, or also to pending events
timeFilter<time without time zone | null>Time at which the task should be scheduled
200A list of task templates with the selected columns
206Partial Content
GET /task_templatescurl -X GET "https://api.bookingmood.com/v1/task_templates?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<TaskTemplate> | Array<Partial<TaskTemplate>>201The newly created task templates with the selected columns
POST /task_templatescurl -X POST "https://api.bookingmood.com/v1/task_templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
labelFilter<text>Label of the task
momentFilter<MomentExpression>Moment at which the task should be completed
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Whether the task only applies to confirmed events, or also to pending events
timeFilter<time without time zone | null>Time at which the task should be scheduled
204The deleted task templates with the selected columns
DELETE /task_templatescurl -X DELETE "https://api.bookingmood.com/v1/task_templates" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
labelFilter<text>Label of the task
momentFilter<MomentExpression>Moment at which the task should be completed
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Whether the task only applies to confirmed events, or also to pending events
timeFilter<time without time zone | null>Time at which the task should be scheduled
Partial<TaskTemplate>204The updated task templates with the selected columns
PATCH /task_templatescurl -X PATCH "https://api.bookingmood.com/v1/task_templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'